OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.Polygons

Description

This module corresponds to section 3.5 (Polygons) of the OpenGL 2.1 specs.

# Documentation

polygonSmooth :: StateVar Capability Source

cullFace :: StateVar (Maybe Face)Source

class PolygonStipple s where Source

Methods

withNewPolygonStipple :: (Ptr GLubyte -> IO ()) -> IO sSource

withPolygonStipple :: s -> (Ptr GLubyte -> IO a) -> IO aSource

newPolygonStipple :: [GLubyte] -> IO sSource

getPolygonStippleComponents :: s -> IO [GLubyte]Source

Instances

PolygonStipple GLpolygonstipple |

data GLpolygonstipple Source

Instances

Eq GLpolygonstipple |
Ord GLpolygonstipple |
Show GLpolygonstipple |
PolygonStipple GLpolygonstipple |

polygonStipple :: PolygonStipple s => StateVar (Maybe s)Source

data PolygonMode Source

Constructors

Point |
Line |
Fill |

Instances

Eq PolygonMode |
Ord PolygonMode |
Show PolygonMode |

polygonMode :: StateVar (PolygonMode, PolygonMode)Source

polygonOffset :: StateVar (GLfloat, GLfloat)Source

polygonOffsetPoint :: StateVar Capability Source

polygonOffsetLine :: StateVar Capability Source

polygonOffsetFill :: StateVar Capability Source